%global _empty_manifest_terminate_build 0
Name:		python-bleach
Version:	5.0.1
Release:	1
Summary:	An easy safelist-based HTML-sanitizing tool.
License:	Apache-2.0
URL:		https://github.com/mozilla/bleach
Source0:	https://files.pythonhosted.org/packages/c2/5d/d5d45a38163ede3342d6ac1ca01b5d387329daadf534a25718f9a9ba818c/bleach-5.0.1.tar.gz
BuildArch:	noarch

Requires:	python3-six
Requires:	python3-webencodings
Recommends:     %{name}-help = %{version}-%{release}

%description
Bleach is an HTML sanitizing library that escapes or strips markup and
attributes based on a white list.


%package -n python3-bleach
Summary:	An easy safelist-based HTML-sanitizing tool.
Provides:	python-bleach
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-bleach
Bleach is an HTML sanitizing library that escapes or strips markup and
attributes based on a white list.

%package help
Summary:	Development documents and examples for bleach
Provides:	python3-bleach-doc
%description help
Development documents and examples for bleach

%prep
%autosetup -n bleach-5.0.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-bleach -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* THU Aug 18 2022 panyanshuang <panyanshuang@ncti-gba.cn> - 5.0.1-1
- upgrade to 5.0.1 to fix CVE-2021-23980 

* Tue Nov 24 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 3.2.1-2
- add installation dependency and description information

* Thu Oct 22 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 3.2.1-1
- package init
